# $Revision: 1.14 $, $Date: 2010/11/24 11:18:47 $
Summary:	Non-suid ping
Summary(pl.UTF-8):	ping bez suida
Name:		echoping
Version:	6.0.2
Release:	6
License:	GPL v2
Group:		Networking/Admin
Source0:	http://dl.sourceforge.net/echoping/%{name}-%{version}.tar.gz
# Source0-md5:	991478532b56ab3b6f46ea9fa332626f
URL:		http://echoping.sourceforge.net/
BuildRequires:	libidn-devel
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	openssl-devel
BuildRequires:	popt-devel
BuildRequires:	postgresql-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx
%define		skip_post_check_so	dns.so.0.0.0 ldap.so.0.0.0 postgresql.so.0.0.0 whois.so.0.0.0

%description
"echoping" is a small program to test (approximatively) performances
of a remote host by sending it TCP "echo" (or other protocol, such as
HTTP) packets.

%description -l pl.UTF-8
echoping to mały program do sprawdzania (przybliżonej) wydajności
zdalnego hosta poprzez wysyłanie pakietów TCP "echo" (lub innego
protokołu, jak np. HTTP).

%package devel
Summary:	Header files for echoping library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki echoping
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for echoping library.

%description devel -l pl.UTF-8
Pliki nagłówkowe echoping library.

%package libs
Summary:	echoping libraries
Summary(pl.UTF-8):	Biblioteki echoping
Group:		Libraries

%description libs
echoping libraries.

%description libs -l pl.UTF-8
Biblioteki echoping.

%prep
%setup -q

%build
%configure \
	--with-ssl \
	--without-gnutls \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/echoping/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog DETAILS PLUGINS README TODO
%attr(755,root,root) %{_bindir}/echoping
%{_mandir}/man1/echoping*

%files devel
%defattr(644,root,root,755)
%{_libdir}/echoping/dns.so
%{_libdir}/echoping/ldap.so
%{_libdir}/echoping/postgresql.so
%{_libdir}/echoping/random.so
%{_libdir}/echoping/whois.so
%dir %{_includedir}/echoping
%{_includedir}/echoping/*.h

%files libs
%defattr(644,root,root,755)
%dir %{_libdir}/echoping
%attr(755,root,root) %{_libdir}/echoping/dns.so.*.*
%attr(755,root,root) %ghost %{_libdir}/echoping/dns.so.0
%attr(755,root,root) %{_libdir}/echoping/ldap.so.*.*
%attr(755,root,root) %ghost %{_libdir}/echoping/ldap.so.0
%attr(755,root,root) %{_libdir}/echoping/postgresql.so.*.*
%attr(755,root,root) %ghost %{_libdir}/echoping/postgresql.so.0
%attr(755,root,root) %{_libdir}/echoping/random.so.*.*
%attr(755,root,root) %ghost %{_libdir}/echoping/random.so.0
%attr(755,root,root) %{_libdir}/echoping/whois.so.*.*
%attr(755,root,root) %ghost %{_libdir}/echoping/whois.so.0

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: echoping.spec,v $
Revision 1.14  2010/11/24 11:18:47  hawk
- added required skip_post_check_so

Revision 1.13  2010/11/13 12:07:19  pawelz
- release 5

Revision 1.12  2010/05/16 14:49:46  sparky
- don't require c++ compiler

Revision 1.11  2010/04/12 19:24:36  arekm
- release 4

Revision 1.10  2009/08/10 22:19:21  hawk
- fixed echoping-devel-6.0.2-2: req /usr/include/echoping not found

Revision 1.9  2009/07/27 10:11:37  pawelz
- devel, libs subpackages
- %ghost so symlink
- package all files
- rel 2

Revision 1.8  2008/11/04 17:43:22  qboosh
- simplified setup

Revision 1.7  2008/11/02 17:46:33  gotar
- upgraded to 6.0.2

Revision 1.6  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.5  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.3  2005/10/27 20:23:54  qboosh
- finished

Revision 1.2  2005/10/27 19:49:57  qboosh
- pl

Revision 1.1  2005/10/27 14:36:14  blues
- initial, does not build
